<?php

namespace Drupal\drupalorg_crosssite\PathProcessor;

use Drupal\Component\Utility\Xss;
use Drupal\Core\PathProcessor\InboundPathProcessorInterface;
use Symfony\Component\HttpFoundation\Request;

/**
 * Path processor for legacy search paths.
 */
class PathProcessorLegacySearch implements InboundPathProcessorInterface {

  /**
   * Process any inbound URL and if it fits the pattern, transform it.
   *
   * @param string $path
   *   Current path being checked.
   * @param \Symfony\Component\HttpFoundation\Request $request
   *   Request object.
   *
   * @return string
   *   Transformed path so the router can consume it without issues.
   */
  public function processInbound($path, Request $request) {
    // @todo Enable when search is managed via D10.
//    if (strpos($path, '/search/site/') === 0) {
//      // The rest of the URL can be an unlimited number of arguments, so convert
//      // them into one argument.
//      $argument = preg_replace('|^\/search\/site\/|', '', $path);
//      $request->query->set('key', Xss::filter($argument));
//      return "/search";
//    }

    return $path;
  }

}
